Page MenuHomePhabricator

Function: TranslateHooks::onMergeAccountFromTo Error: 1146 Table 'testwiki.translate_stash' doesn't exist (10.64.16.27)
Closed, ResolvedPublic

Description

The translate_stash table does not exist on all wikis, so we should check that it exists before trying to update it.

Event Timeline

Legoktm created this task.Jul 3 2015, 11:00 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Unbreak Now!.
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2015, 11:00 PM

Change 222718 had a related patch set uploaded (by Legoktm):
Check that tables exist before trying to update them in UserMerge hooks

https://gerrit.wikimedia.org/r/222718

Legoktm set Security to None.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJul 3 2015, 11:31 PM

Change 222718 merged by jenkins-bot:
Check that tables exist before trying to update them in UserMerge hooks

https://gerrit.wikimedia.org/r/222718

Change 222725 had a related patch set uploaded (by Legoktm):
Check that tables exist before trying to update them in UserMerge hooks

https://gerrit.wikimedia.org/r/222725

Change 222725 merged by jenkins-bot:
Check that tables exist before trying to update them in UserMerge hooks

https://gerrit.wikimedia.org/r/222725

Legoktm closed this task as Resolved.Jul 4 2015, 12:09 AM
Keegan moved this task from Doing to Done on the SUL-Finalization board.Jul 16 2015, 12:04 AM